104 posts
  • Bought between 50 and 99 items
  • Has been a member for 4-5 years
naspos says

If Envato is going to increase prices on the themes they should make all its authors maintain compatibility of their themes that they are selling with the latest version of Wordpress. And at least 2 months of additional support if you already purchased it after they pull it from the marketplace to prevent an author from developing a theme and then running off.

we got an issue with a theme, we purchased it but are required to use a very old version of wordpress to run it. this is a security issue.

2429 posts
  • Has been a member for 4-5 years
  • Exclusive Author
  • Europe
  • Bought between 10 and 49 items
  • Referred between 100 and 199 users
  • Sold between 100 and 1 000 dollars
  • Microlancer Beta Tester
digitalimpact says

Totally agree with the support for WP versions, I’d be even happier if it would be mandatory to only support the latest 2 versions.

Note that authors aren’t required to offer support in the first place.

104 posts
  • Bought between 50 and 99 items
  • Has been a member for 4-5 years
naspos says

I think the bigger problem comes with ecommerce themes, if you don’t have the latest version of Wordpress you are risking a lot.

124 posts
  • Belarus
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 5-6 years
  • Sold between 10 000 and 50 000 dollars
Themico says

we got an issue with a theme, we purchased it but are required to use a very old version of wordpress to run it. this is a security issue.

You can see the supported software versions on the item details page. If you bought an 1-2 year old theme it can not be updated by the author to work with current WP version.

But if theme is not work with the versions listed on the item details page, you can claim about an update or complaint to the envato support.

2429 posts
  • Has been a member for 4-5 years
  • Exclusive Author
  • Europe
  • Bought between 10 and 49 items
  • Referred between 100 and 199 users
  • Sold between 100 and 1 000 dollars
  • Microlancer Beta Tester
digitalimpact says

[...] If you bought an 1-2 year old theme it can not be updated by the author to work with current WP version.

Why not?

3256 posts
  • Elite Author
  • Sold between 250 000 and 1 000 000 dollars
  • Exclusive Author
  • Interviewed on the Envato Notes blog
  • Beta Tester
  • Author had a File in an Envato Bundle
  • Author had a Free File of the Month
+4 more
ParkerAndKent says

If Envato is going to increase prices on the themes they should make all its authors maintain compatibility of their themes that they are selling with the latest version of Wordpress. And at least 2 months of additional support if you already purchased it after they pull it from the marketplace to prevent an author from developing a theme and then running off. we got an issue with a theme, we purchased it but are required to use a very old version of wordpress to run it. this is a security issue.

Hi,

what of your theme is incompatible with the latest WP version? Do you get any specific error?

Parker

104 posts
  • Bought between 50 and 99 items
  • Has been a member for 4-5 years
naspos says
what of your theme is incompatible with the latest WP version? Do you get any specific error?

There is no specific error just all the images stopped showing up. The files are there it is just the way the theme is trying to display them there is an error.

3256 posts
  • Elite Author
  • Sold between 250 000 and 1 000 000 dollars
  • Exclusive Author
  • Interviewed on the Envato Notes blog
  • Beta Tester
  • Author had a File in an Envato Bundle
  • Author had a Free File of the Month
+4 more
ParkerAndKent says

what of your theme is incompatible with the latest WP version? Do you get any specific error?
There is no specific error just all the images stopped showing up. The files are there it is just the way the theme is trying to display them there is an error.

Can I see a page with the problem you’re talking about?

Parker

124 posts
  • Belarus
  • Bought between 10 and 49 items
  • Exclusive Author
  • Has been a member for 5-6 years
  • Sold between 10 000 and 50 000 dollars
Themico says


[...] If you bought an 1-2 year old theme it can not be updated by the author to work with current WP version.
Why not?

Just because it is an author’s decision to stop update an item when sales become too low. Buyer need to check software version before purchase, to avoid problems.

104 posts
  • Bought between 50 and 99 items
  • Has been a member for 4-5 years
naspos says
Can I see a page with the problem you’re talking about?

You can see it here: www.naspos.com

Just because it is an author’s decision to stop update an item when sales become too low. Buyer need to check software version before purchase, to avoid problems.

so the author can update it just chooses not to.

by
by
by
by
by
by